# class Klineak | System tray class More...
Definition | `#include <klineakconfig/klineak.h>`
Inherits | KSystemTray (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- Klineak (QWidget *parent=0, const char *name=0)
- ~Klineak ()
- void mousePressEvent (QMouseEvent *ev)

#### Public Slots

- virtual void restartLineakd ()
- virtual void startLineakd ()
- virtual void stopLineakd ()
- virtual void showPreferences ()

#### Signals

- virtual void toggleApp ()
- virtual void cleanExit ()
- virtual void stop ()
- virtual void start ()
- virtual void restart ()

#### Public Members

- QPixmap klineakconfigPixmap
- KPopupMenu *menu
- KAction *fileQuit
- KAction *lineakdRestart
- KAction *lineakdStop
- KAction *lineakdStart
- KAction *lineakDef
- KAction *lineakPrefs
- KActionCollection *actionCollection

#### Private Members

- KlineakPreferences *preferencesui

## Detailed Description

System tray class

Klineak (QWidget *parent=0, const char *name=0) | ### Klineak

~Klineak () | ### ~Klineak

QPixmap klineakconfigPixmap | ### klineakconfigPixmap

KPopupMenu * menu | ### menu

KAction * fileQuit | ### fileQuit

KAction * lineakdRestart | ### lineakdRestart

KAction * lineakdStop | ### lineakdStop

KAction * lineakdStart | ### lineakdStart

KAction * lineakDef | ### lineakDef

KAction * lineakPrefs | ### lineakPrefs

KActionCollection * actionCollection | ### actionCollection

void mousePressEvent (QMouseEvent *ev) | ### mousePressEvent

Reimplemented from KSystemTray.

void toggleApp () | ### toggleApp

[virtual signal]

void cleanExit () | ### cleanExit

[virtual signal]

void stop () | ### stop

[virtual signal]

void start () | ### start

[virtual signal]

void restart () | ### restart

[virtual signal]

void restartLineakd () | ### restartLineakd

[virtual slot]

void startLineakd () | ### startLineakd

[virtual slot]

void stopLineakd () | ### stopLineakd

[virtual slot]

void showPreferences () | ### showPreferences

[virtual slot]

KlineakPreferences * preferencesui | ### preferencesui

[private]

- Author: Sheldon Lee Wen
- Generated: sheldonl on shugaru on Thu Oct 3 22:56:49 2002, using kdoc 2.0a53.